Extending Qt Creator Manual | ITaskHandler

Extending Qt Creator Manual 4.5.2

# ITaskHandler Class

(ProjectExplorer::ITaskHandler)

- List of all members, including inherited members

## Public Functions

virtual | ~ITaskHandler()
virtual Core::Id | actionManagerId() const
virtual bool | canHandle(const Task &) const = 0
virtual QAction * | createAction(QObject *parent) const = 0
virtual void | handle(const Task &) = 0
virtual bool | isDefaultHandler() const

## Member Function Documentation

### `[virtual]` ITaskHandler::~ITaskHandler()

Destroys the instance of ITaskHandler. The destructor is virtual.

### `[virtual]` Core::Id ITaskHandler::actionManagerId() const

### `[pure virtual]` bool ITaskHandler::canHandle(const Task &) const

### `[pure virtual]` QAction *ITaskHandler::createAction(QObject *parent) const

### `[pure virtual]` void ITaskHandler::handle(const Task &)

### `[virtual]` bool ITaskHandler::isDefaultHandler() const